# $Revision: 1.69 $, $Date: 2004/11/02 10:43:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	libnet
Summary:	Miscellaneous perl networking modules
Summary(cs):	Modul libnet pro Perl
Summary(da):	Perl-modulet libnet
Summary(de):	libnet Perl Modul
Summary(es):	Mdulo de Perl libnet
Summary(fr):	Module Perl libnet
Summary(it):	Modulo di Perl libnet
Summary(ja):	libnet Perl ⥸塼
Summary(ko):	libnet  
Summary(nb):	Perlmodul libnet
Summary(pl):	Rne moduy perlowe do obsugi sieci
Summary(pt):	Mdulo de Perl libnet
Summary(pt_BR):	Mdulo Perl libnet
Summary(ru):	  Perl libnet
Summary(sv):	libnet Perlmodul
Summary(uk):	  Perl libnet
Summary(zh_CN):	libnet Perl ģ
Name:		perl-libnet
Version:	1.19
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	e6533ef83a2497562418a2239bb44602
Patch0:		%{name}-Configure.patch
URL:		http://www.perl.com/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.readme
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Convert::EBCDIC required only on os390
# Authen::SASL and MIME::Base64 required only for SMTP AUTH
%define		_noautoreq	'perl(Convert::EBCDIC)' 'perl(Authen::SASL)' 'perl(MIME::Base64)'

%description
libnet is a collection of Perl modules which provides a simple and
consistent programming interface (API) to the client side of various
protocols used in the internet community. The RFCs implemented in this
distribution are:

- Net::FTP - RFC959 File Transfer Protocol
- Net::SMTP - RFC821 Simple Mail Transfer Protocol
- Net::Time - RFC867 Daytime Protocol
- Net::Time - RFC868 Time Protocol
- Net::NNTP - RFC977 Network News Transfer Protocol
- Net::POP3 - RFC1939 Post Office Protocol 3
- Net::SNPP - RFC1861 Simple Network Pager Protocol

%description -l pl
libnet jest zestawem moduw do Perla, ktre udostpniaj prosty i
spjny interfejs programisty (API) do obsugi po stronie klienta
rnych protokow uywanych w sieci Internet. Spis dokumentw RFC,
ktre s zaimplementowane w libnet:

- Net::FTP - RFC959 File Transfer Protocol
- Net::SMTP - RFC821 Simple Mail Transfer Protocol
- Net::Time - RFC867 Daytime Protocol
- Net::Time - RFC868 Time Protocol
- Net::NNTP - RFC977 Network News Transfer Protocol
- Net::POP3 - RFC1939 Post Office Protocol 3
- Net::SNPP - RFC1861 Simple Network Pager Protocol

%prep
%setup -q -n %{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%config(noreplace) %{perl_vendorlib}/Net/Config.pm
%{perl_vendorlib}/Net/Cmd.pm
%{perl_vendorlib}/Net/Domain.pm
%dir %{perl_vendorlib}/Net/FTP
%{perl_vendorlib}/Net/FTP/A.pm
%{perl_vendorlib}/Net/FTP/dataconn.pm
%{perl_vendorlib}/Net/FTP/E.pm
%{perl_vendorlib}/Net/FTP/I.pm
%{perl_vendorlib}/Net/FTP/L.pm
%{perl_vendorlib}/Net/FTP.pm
%{perl_vendorlib}/Net/libnet.cfg
%{perl_vendorlib}/Net/NNTP.pm
%{perl_vendorlib}/Net/POP3.pm
%{perl_vendorlib}/Net/Netrc.pm
%{perl_vendorlib}/Net/SMTP.pm
%{perl_vendorlib}/Net/Time.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-libnet.spec,v $
Revision 1.69  2004/11/02 10:43:14  adamg
- get rid of pod documentation
- release 2

Revision 1.68  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.67  2004/07/21 19:57:52  radek
- version 1.19

Revision 1.66  2004/06/14 09:29:07  radek
- removed bogus OPTIMIZE

Revision 1.65  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.64  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.63  2004/05/06 18:21:34  ankry
- fixed perl-devel BR

Revision 1.62  2004/05/04 13:36:35  ankry
- license fix, cosmetics

Revision 1.61  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.60  2004/04/04 21:40:17  adamg
- updated to 1.18

Revision 1.59  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.58  2003/09/30 13:38:44  grzegol
- updated to 1.17

Revision 1.57  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.56  2003/07/30 23:20:52  grzegol
- updated to 1.16

Revision 1.55  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.54  2003/05/25 06:25:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.52  2003/03/13 00:04:06  ankry
- merge from RA-branch: updated to 1.13

Revision 1.51  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.50  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.49  2003/02/18 15:39:21  ankry
- massive attack: change CPAN URLs

Revision 1.48  2002/10/20 23:48:08  radek
- release 3 (rebuild to get rid of the perl-ldap dependency)

Revision 1.47  2002/10/14 11:49:28  ankry
- added tests
- remove unnecessary (req. only with SMTP AUTH) dependencies
- release 2

Revision 1.46  2002/09/09 19:39:00  misiek
- updated to 1.12

Revision 1.45  2002/07/24 13:06:37  kloczek
- release 4.

Revision 1.44  2002/07/24 12:09:07  qboosh
- BR: perl-MIME-Base64 (for Net::SMTP module)

Revision 1.43  2002/07/16 11:41:02  ankry
- translations, cleaning
- added %%doc files
- release 3

Revision 1.42  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.41  2002/03/03 22:25:06  marcus
- rel.2.

Revision 1.40  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/02/19 20:40:17  qboosh
- Convert::EBCDIC is not necessary on Linux (only on os390)
- added %%{perl_sitelib}/Net/FTP dir back to package

Revision 1.38  2002/02/19 11:13:56  depesz
- new version; STBR

Revision 1.37  2002/02/10 15:27:49  depesz
adapterized

Revision 1.36  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.34  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.33  2001/04/17 12:18:56  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.32  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.31  2001/01/26 04:04:28  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.30  2000/08/02 20:05:00  baggins
- s/sitearch/sitelib/

Revision 1.29  2000/08/02 19:46:45  kloczek
- adapterized.

Revision 1.28  2000/08/02 18:55:24  baggins
- updated to 1.0703

Revision 1.27  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.25  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.23  2000/02/10 20:27:35  pius
- removed 'Obsoletes: libnet' to avoid conflict with different libnet package

Revision 1.22  1999/11/07 11:00:00  kloczek
- release 5.

Revision 1.21  1999/11/07 10:40:29  kloczek
- cosmetics.

Revision 1.20  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.19  1999/11/02 12:53:55  baggins
- updated to latest rpm/perl

Revision 1.18  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.17  1999/09/15 00:09:39  wiget
- release 3

Revision 1.16  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.15  1999/08/28 12:10:09  wiget
- modified for perl 5.005_61

Revision 1.14  1999/08/25 23:51:18  wiget
- using $DESTDIR at 'make install' time

Revision 1.13  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.0605-2]
- changed Group to Development/Languages/Perl
- added Group(pl)
- removed man group from man pages
- added gzipping man pages

* Wed Nov 13 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0605-1]
- rewrited for using Buildroot,
- added -q %%setup parameter,
- added pl translation,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- removed %%post,
- removed Packager field (this must be placed in private ~/.rpmrc),
- man pages moved to /usr/mam/man3,
- added %%attr and %%defattr macros in %%files (allows build package from
  non-root account).

* Thu Mar 08 1998 Kirk Bauer <kirk@kaybee.org>
For some reason, Config.pm ended up in a different place on my system.
So, I made a new release.  I will probably be killed for this next one,
but I took out the dependencies for IO and Data-Dumper... because
it seems that LibNet works without them...

* Thu Jul 17 1997 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
This distribution of libnet is the same as libnet rel1.  Someone created
a libnet release 2 that did not have all the proper files.... If that
person would care to talk to me about why they thought their subtractions
from the package were necessary, I would be most pleased.
